using Valg.EVA.Skanning.Entity.WriteModel;

namespace Valg.EVA.Skanning.Repositories.BallotPaper
{
    public interface IBallotPaperWritableRepository
    {
        int InsertBallotPaper(BallotPaperInsert ballotPaperInsert);
        void InsertBallotPaperField(BallotPaperFieldInsert ballotPaperFieldInsert);
        void InsertBallotPaperFieldValue(BallotPaperFieldValueInsert ballotPaperFieldValueInsert);
        void InsertBallotPaperValues(BallotPaperValuesInsert newValuesInsert);
        void InsertBallotPaperImages(BallotPaperImageInsert ballotPaperImageInsert);
        void UpdateBallotPaperCombinedImage(BallotPaperCombinedImageInsert ballotPaperCombinedImageInsert);
        void ResetBallotPaperFieldValue(BallotPaperFieldValueReset ballotPaperFieldValueReset);
        void InsertWriteInBallotPaperFieldValue(WriteInBallotPaperFieldValueInsert writeInBallotPaperFieldValueInsert);
    }
}
